# Time pick

A decision block that lets the user choose a time of day.

The fiber will pause until the user has chosen a time, cancelled the dialog or the timeout expired.

The resulting time of day is the number of seconds past midnight. Use the timeMerge function to combine date and time.

## Input arguments

- Title — dialog title, default is no title.
- Style — style of dialog, default is Keypad.
- Initial time of day — initially entered time of day in seconds past midnight, default is none.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Picked time of day — variable to assign the chosen time of day, seconds past midnight.